Loading...
Searching...
No Matches
Dune::Amg::ConstructionTraits< MatrixAdapter< M, X, Y > > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/construction.hh>`

Inheritance diagram for Dune::Amg::ConstructionTraits< MatrixAdapter< M, X, Y > >:

## Public Types

typedef const MatrixAdapterArgs< M, X, Y > | Arguments

## Static Public Member Functions

static std::shared_ptr< MatrixAdapter< M, X, Y > > | construct (Arguments &args)

## Member Typedef Documentation

## Arguments

template<class M, class X, class Y>

typedef const MatrixAdapterArgs<M,X,Y> Dune::Amg::ConstructionTraits< MatrixAdapter< M, X, Y > >::Arguments

## Member Function Documentation

## construct()

template<class M, class X, class Y>

std::shared_ptr< MatrixAdapter< M, X, Y > > Dune::Amg::ConstructionTraits< MatrixAdapter< M, X, Y > >::construct | ( | Arguments & | args | ) |

inline static

The documentation for this struct was generated from the following file:

- construction.hh